Bug 117557 - BaseTestSetup doesn't transitively add required initializers
BaseTestSetup doesn't transitively add required initializers
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity high
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-05 06:58 EST by Daniel Berrange
Modified: 2007-04-18 13:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:36:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-03-05 06:58:12 EST
Description of problem:
The BaseTestSetup class allows specification of required initializers,
 however, it does not use the init_requirements table to transitively
add the dependant intiializers. This makes it very tedious / error
prone to write unit tests for custom applications since you've got to
make sure you keep your unit test in sync with the <applcation>.load
file & all the dependant .load files.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a TestSetup class for 'Dublin Core' application
2. Add the 'com.arsdigita.london.cms.dublin.Initializer' class as a
requirement
3. Run the tests
  
Actual results:
Only Core & Dublin intiializers are run.

Expected results:
All dependant initializers are run, ie Core, CMS, AtoZ, Dublin, Terms,
Navigation, Util.


Additional info:
Comment 1 Daniel Berrange 2006-09-02 13:36:13 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.